comparison get_source.sh @ 42658:9b8b24e4fc01

8171137: Avoid warning: -Xint is not compatible with AOT (switching AOT off) Summary: Put all AOT warnings under PrintAOT flag. Reviewed-by: iveresov, dholmes
author kvn
date Mon, 12 Dec 2016 21:56:45 -0800
parents fa3876203ca9
children
comparison
equal deleted inserted replaced
5:4665b4bf9cc5 6:7ed115b1fcde
65 hgwhere="`command -v hg`" 65 hgwhere="`command -v hg`"
66 if [ "x$hgwhere" = "x" ]; then 66 if [ "x$hgwhere" = "x" ]; then
67 error "Could not locate Mercurial command" 67 error "Could not locate Mercurial command"
68 fi 68 fi
69 69
70 hgversion="`hg --version 2> /dev/null | sed -n -e 's@^Mercurial Distributed SCM (version \([^+]*\).*)\$@\1@p'`" 70 hgversion="`LANGUAGE=en hg --version 2> /dev/null | sed -n -e 's@^Mercurial Distributed SCM (version \([^+]*\).*)\$@\1@p'`"
71 if [ "x${hgversion}" = "x" ] ; then 71 if [ "x${hgversion}" = "x" ] ; then
72 error "Could not determine Mercurial version of $hgwhere" 72 error "Could not determine Mercurial version of $hgwhere"
73 fi 73 fi
74 74
75 hgmajor="`version_field $hgversion 1`" 75 hgmajor="`version_field $hgversion 1`"